<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html">bluetooth</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration.html">configuration</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1error"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1error.html">error</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1file"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1file.html">file</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1functional"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1functional.html">functional</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html">http</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html">http2</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json.html">json</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils.html">libcurlUtils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html">logger</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html">mediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1memory"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1memory.html">memory</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1network"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1network.html">network</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html">playlistParser</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sdk_version"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sdk_version.html">sdkVersion</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds.html">sds</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1stream"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1stream.html">stream</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html">string</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading.html">threading</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html">timing</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1uuid_generation"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1uuid_generation.html">uuidGeneration</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">AudioFormat</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_device_info.html">DeviceInfo</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_dummy.html">Dummy</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_guarded_value.html">GuardedValue</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_h_t_t_p_content.html">HTTPContent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_mac_address_string.html">MacAddressString</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html">Metrics</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_optional.html">Optional</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html">PromiseFuturePair</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair_3_01void_01_4.html">PromiseFuturePair&lt; void &gt;</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_reference_counter.html">ReferenceCounter</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">RequiresShutdown</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_retry_timer.html">RetryTimer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_shutdown_monitor.html">ShutdownMonitor</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class used to track whether <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">RequiresShutdown</a></code> objects have been shut down correctly.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_shutdown_monitor.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_struct_without_default_constructor.html">StructWithoutDefaultConstructor</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html">TestableAttachmentManager</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_writer.html">TestableAttachmentWriter</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_message_observer.html">TestableMessageObserver</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_attachment_part.html">TestMimeAttachmentPart</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_json_part.html">TestMimeJsonPart</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part.html">TestMimePart</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:aafb242c1733224d397b310c47470a6c9"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#aafb242c1733224d397b310c47470a6c9">SDSType</a> = <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds.html#a269866d267e8991328744c2e662931d2">avsCommon::utils::sds::InProcessSDS</a></td></tr>
<tr class="separator:aafb242c1733224d397b310c47470a6c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a173b2ac429b2b3ddf3926ad031bd8471"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a173b2ac429b2b3ddf3926ad031bd8471">SDSBufferType</a> = <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_in_process_s_d_s_traits.html#af7ff4eb1e4f1628fb39ba7534b2bdb32">avsCommon::utils::sds::InProcessSDSTraits::Buffer</a></td></tr>
<tr class="separator:a173b2ac429b2b3ddf3926ad031bd8471"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:afcab22c99d77dbc82469cf8a1eef46be"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#afcab22c99d77dbc82469cf8a1eef46be">operator&lt;&lt;</a> (std::ostream &amp;stream, const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1338278de3fb92400e7ac33373cf1f22">AudioFormat::Encoding</a> &amp;encoding)</td></tr>
<tr class="separator:afcab22c99d77dbc82469cf8a1eef46be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a241bf7b99d7428c635afc57025e8b8af"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a241bf7b99d7428c635afc57025e8b8af">operator&lt;&lt;</a> (std::ostream &amp;stream, const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21">AudioFormat::Endianness</a> &amp;endianness)</td></tr>
<tr class="separator:a241bf7b99d7428c635afc57025e8b8af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab052edabd453887602b3051c5641d8f9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#ab052edabd453887602b3051c5641d8f9">littleEndianMachine</a> ()</td></tr>
<tr class="memdesc:ab052edabd453887602b3051c5641d8f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function used to check the machine endianness.  <a href="#ab052edabd453887602b3051c5641d8f9">More...</a><br /></td></tr>
<tr class="separator:ab052edabd453887602b3051c5641d8f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a194d98252bc70b0623633d71e11e4e93"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a194d98252bc70b0623633d71e11e4e93">TAG</a> (&quot;DeviceInfo&quot;)</td></tr>
<tr class="memdesc:a194d98252bc70b0623633d71e11e4e93"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a194d98252bc70b0623633d71e11e4e93">More...</a><br /></td></tr>
<tr class="separator:a194d98252bc70b0623633d71e11e4e93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d7bec5e0daa15c356517b18a03fcf1b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a5d7bec5e0daa15c356517b18a03fcf1b">TAG</a> (&quot;RequiresShutdown&quot;)</td></tr>
<tr class="memdesc:a5d7bec5e0daa15c356517b18a03fcf1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a5d7bec5e0daa15c356517b18a03fcf1b">More...</a><br /></td></tr>
<tr class="separator:a5d7bec5e0daa15c356517b18a03fcf1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2d0786aac2b69ca0d61a85eeb9570f2"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#ab2d0786aac2b69ca0d61a85eeb9570f2">createRandomAlphabetString</a> (int stringSize)</td></tr>
<tr class="separator:ab2d0786aac2b69ca0d61a85eeb9570f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a835d75cc092964ce8ae121240596f469"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a835d75cc092964ce8ae121240596f469">generateRandomNumber</a> (int min, int max)</td></tr>
<tr class="separator:a835d75cc092964ce8ae121240596f469"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1efc5540efa8a70173f6051e4afdbec9"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a1efc5540efa8a70173f6051e4afdbec9">constructTestMimeString</a> (const std::vector&lt; std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part.html">TestMimePart</a> &gt;&gt; &amp;mimeParts, const std::string &amp;boundaryString, bool addPrependedNewline=true)</td></tr>
<tr class="separator:a1efc5540efa8a70173f6051e4afdbec9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a076d6a33aee9d158813cc2134d6564ac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a076d6a33aee9d158813cc2134d6564ac">TEST</a> (OptionalTest, test_createEmptyOptional)</td></tr>
<tr class="separator:a076d6a33aee9d158813cc2134d6564ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff600a4f4235106b44425bb3cfae7cb4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#aff600a4f4235106b44425bb3cfae7cb4">TEST</a> (OptionalTest, test_createOptionalWithValue)</td></tr>
<tr class="separator:aff600a4f4235106b44425bb3cfae7cb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41f48c92fbc8f9931618ed559f83e0b4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a41f48c92fbc8f9931618ed559f83e0b4">TEST</a> (OptionalTest, test_getValueOfOptionalWithValue)</td></tr>
<tr class="separator:a41f48c92fbc8f9931618ed559f83e0b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adeef1501a25a62ac5c218d35b4103ff5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#adeef1501a25a62ac5c218d35b4103ff5">TEST</a> (OptionalTest, test_getValueOfEmptyOptional)</td></tr>
<tr class="separator:adeef1501a25a62ac5c218d35b4103ff5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecda8472c7d9296459aa1564ef8145e6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#aecda8472c7d9296459aa1564ef8145e6">TEST</a> (OptionalTest, test_functionWithEmptyOptionalReturn)</td></tr>
<tr class="separator:aecda8472c7d9296459aa1564ef8145e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addb9e0d1777edfb33d2777ad9948ce3e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#addb9e0d1777edfb33d2777ad9948ce3e">TEST</a> (OptionalTest, test_functionWithNonEmptyOptionalReturn)</td></tr>
<tr class="separator:addb9e0d1777edfb33d2777ad9948ce3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a842e09fbeb5eb3f8a89ff7867971cd5f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a842e09fbeb5eb3f8a89ff7867971cd5f">TEST</a> (OptionalTest, test_copyOptionalWithValue)</td></tr>
<tr class="separator:a842e09fbeb5eb3f8a89ff7867971cd5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1417a51b6f41a2cfa496465e6d25774f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a1417a51b6f41a2cfa496465e6d25774f">TEST</a> (OptionalTest, test_copyEmptyOptional)</td></tr>
<tr class="separator:a1417a51b6f41a2cfa496465e6d25774f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabc5486245b2e40941f6bc520fe82143"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#aabc5486245b2e40941f6bc520fe82143">TEST</a> (OptionalTest, test_setNewValueForEmptyOptional)</td></tr>
<tr class="separator:aabc5486245b2e40941f6bc520fe82143"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08baf05ecf74cf88e3a48a3e06f28f7b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a08baf05ecf74cf88e3a48a3e06f28f7b">TEST</a> (OptionalTest, test_setNewValueForNonEmptyOptional)</td></tr>
<tr class="separator:a08baf05ecf74cf88e3a48a3e06f28f7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a487743db78528596da04f13e9773f283"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a487743db78528596da04f13e9773f283">TEST</a> (OptionalTest, test_resetEmptyOptional)</td></tr>
<tr class="separator:a487743db78528596da04f13e9773f283"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25a1124b450955da2e9829de34f34e92"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a25a1124b450955da2e9829de34f34e92">TEST</a> (OptionalTest, test_resetNonEmptyOptional)</td></tr>
<tr class="separator:a25a1124b450955da2e9829de34f34e92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6f049aa7606f9ff2df29b4f2fd300a5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#ae6f049aa7606f9ff2df29b4f2fd300a5">TEST</a> (OptionalTest, test_optionalObjectWithoutDefaultConstructor)</td></tr>
<tr class="separator:ae6f049aa7606f9ff2df29b4f2fd300a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39286e7e74a85f51680707d82eb127d0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a39286e7e74a85f51680707d82eb127d0">TEST</a> (OptionalTest, test_constructorCallsMatchDestructorCalls)</td></tr>
<tr class="separator:a39286e7e74a85f51680707d82eb127d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d7f32c6e4cb5eb899cd0e85ea95c9ca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a0d7f32c6e4cb5eb899cd0e85ea95c9ca">TEST</a> (OptionalTest, test_equalityOperator)</td></tr>
<tr class="separator:a0d7f32c6e4cb5eb899cd0e85ea95c9ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eaf46613613d94bbbeab46f93dcda6a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a8eaf46613613d94bbbeab46f93dcda6a">TEST</a> (OptionalTest, test_inequalityOperator)</td></tr>
<tr class="separator:a8eaf46613613d94bbbeab46f93dcda6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab408564cc8bebb86c518d60ba39b1d17"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#ab408564cc8bebb86c518d60ba39b1d17">TAG</a> (&quot;TestableMessageObserver&quot;)</td></tr>
<tr class="memdesc:ab408564cc8bebb86c518d60ba39b1d17"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#ab408564cc8bebb86c518d60ba39b1d17">More...</a><br /></td></tr>
<tr class="separator:ab408564cc8bebb86c518d60ba39b1d17"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a85e2f166578b5236e8123ed50a608024"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a85e2f166578b5236e8123ed50a608024">METRICS_TAG</a> = &quot;:METRICS:&quot;</td></tr>
<tr class="separator:a85e2f166578b5236e8123ed50a608024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4374facddb171aebf82bc9c9f8a5f47"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#ae4374facddb171aebf82bc9c9f8a5f47">CONFIG_KEY_DEVICE_INFO</a> = &quot;deviceInfo&quot;</td></tr>
<tr class="memdesc:ae4374facddb171aebf82bc9c9f8a5f47"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of <code>ConfigurationNode</code> for <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_device_info.html">DeviceInfo</a>.  <a href="#ae4374facddb171aebf82bc9c9f8a5f47">More...</a><br /></td></tr>
<tr class="separator:ae4374facddb171aebf82bc9c9f8a5f47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38b6e26702e1ad4a159ee3306a679184"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a38b6e26702e1ad4a159ee3306a679184">CONFIG_KEY_CLIENT_ID</a> = &quot;clientId&quot;</td></tr>
<tr class="memdesc:a38b6e26702e1ad4a159ee3306a679184"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of clientId value in <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_device_info.html">DeviceInfo</a>'s <code>ConfigurationNode</code>.  <a href="#a38b6e26702e1ad4a159ee3306a679184">More...</a><br /></td></tr>
<tr class="separator:a38b6e26702e1ad4a159ee3306a679184"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68b6f23f3da27176a2f6118290b8be69"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a68b6f23f3da27176a2f6118290b8be69">CONFIG_KEY_PRODUCT_ID</a> = &quot;productId&quot;</td></tr>
<tr class="memdesc:a68b6f23f3da27176a2f6118290b8be69"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of productId value in <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_device_info.html">DeviceInfo</a>'s <code>ConfigurationNode</code>.  <a href="#a68b6f23f3da27176a2f6118290b8be69">More...</a><br /></td></tr>
<tr class="separator:a68b6f23f3da27176a2f6118290b8be69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57a9ba9fcac5cb214b0a181611ddc891"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a57a9ba9fcac5cb214b0a181611ddc891">CONFIG_KEY_DSN</a> = &quot;deviceSerialNumber&quot;</td></tr>
<tr class="memdesc:a57a9ba9fcac5cb214b0a181611ddc891"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of deviceSerialNumber value in <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_device_info.html">DeviceInfo</a>'s <code>ConfigurationNode</code>.  <a href="#a57a9ba9fcac5cb214b0a181611ddc891">More...</a><br /></td></tr>
<tr class="separator:a57a9ba9fcac5cb214b0a181611ddc891"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec3180d48d8acd6451eedffe21ca9628"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_shutdown_monitor.html">ShutdownMonitor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#aec3180d48d8acd6451eedffe21ca9628">g_shutdownMonitor</a></td></tr>
<tr class="memdesc:aec3180d48d8acd6451eedffe21ca9628"><td class="mdescLeft">&#160;</td><td class="mdescRight">The global <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_shutdown_monitor.html" title="Class used to track whether RequiresShutdown objects have been shut down correctly. ">ShutdownMonitor</a></code> used to track all <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">RequiresShutdown</a></code> objects.  <a href="#aec3180d48d8acd6451eedffe21ca9628">More...</a><br /></td></tr>
<tr class="separator:aec3180d48d8acd6451eedffe21ca9628"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83096946cb5d989d7f89edd72939b635"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a83096946cb5d989d7f89edd72939b635">MIME_NEWLINE</a> = &quot;\r\n&quot;</td></tr>
<tr class="memdesc:a83096946cb5d989d7f89edd72939b635"><td class="mdescLeft">&#160;</td><td class="mdescRight">The newline characters that MIME parsers expect.  <a href="#a83096946cb5d989d7f89edd72939b635">More...</a><br /></td></tr>
<tr class="separator:a83096946cb5d989d7f89edd72939b635"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a188a51383404da118e697df39debbaf8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a188a51383404da118e697df39debbaf8">MIME_BOUNDARY_DASHES</a> = &quot;--&quot;</td></tr>
<tr class="memdesc:a188a51383404da118e697df39debbaf8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The double dashes which may occur before and after a boundary string.  <a href="#a188a51383404da118e697df39debbaf8">More...</a><br /></td></tr>
<tr class="separator:a188a51383404da118e697df39debbaf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6252212bdab52c2cdb42a124a7ec2d94"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a6252212bdab52c2cdb42a124a7ec2d94">MIME_JSON_PREFIX_STRING</a> = &quot;Content-Type: application/json; charset=UTF-8&quot;</td></tr>
<tr class="memdesc:a6252212bdab52c2cdb42a124a7ec2d94"><td class="mdescLeft">&#160;</td><td class="mdescRight">The MIME text expected before a JSON part.  <a href="#a6252212bdab52c2cdb42a124a7ec2d94">More...</a><br /></td></tr>
<tr class="separator:a6252212bdab52c2cdb42a124a7ec2d94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada0276da66fbca7e4c68ae28c5703ebc"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#ada0276da66fbca7e4c68ae28c5703ebc">MIME_ATTACHMENT_PREFIX_STRING</a> = &quot;Content-Type: application/octet-stream&quot;</td></tr>
<tr class="memdesc:ada0276da66fbca7e4c68ae28c5703ebc"><td class="mdescLeft">&#160;</td><td class="mdescRight">The MIME text expected before a binary data part.  <a href="#ada0276da66fbca7e4c68ae28c5703ebc">More...</a><br /></td></tr>
<tr class="separator:ada0276da66fbca7e4c68ae28c5703ebc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a569d79677aecc04cbf4d868d0f43ac8d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a569d79677aecc04cbf4d868d0f43ac8d">MIME_CONTENT_ID_PREFIX_STRING</a> = &quot;Content-ID: &quot;</td></tr>
<tr class="memdesc:a569d79677aecc04cbf4d868d0f43ac8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The MIME prefix for a content id header.  <a href="#a569d79677aecc04cbf4d868d0f43ac8d">More...</a><br /></td></tr>
<tr class="separator:a569d79677aecc04cbf4d868d0f43ac8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85eb0bb24c3ded5f9f07259603835566"><td class="memItemLeft" align="right" valign="top">static const std::chrono::seconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a85eb0bb24c3ded5f9f07259603835566">WAIT_FOR_DIRECTIVE_TIMEOUT_IN_SECONDS</a> = std::chrono::seconds(1)</td></tr>
<tr class="memdesc:a85eb0bb24c3ded5f9f07259603835566"><td class="mdescLeft">&#160;</td><td class="mdescRight">Our default timeout when validating if a MIME part was received by another object.  <a href="#a85eb0bb24c3ded5f9f07259603835566">More...</a><br /></td></tr>
<tr class="separator:a85eb0bb24c3ded5f9f07259603835566"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2632275cf0fb9948861a6a5b83b6c129"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a2632275cf0fb9948861a6a5b83b6c129">DUMMY_SDS_BUFFER_SIZE</a> = 100</td></tr>
<tr class="memdesc:a2632275cf0fb9948861a6a5b83b6c129"><td class="mdescLeft">&#160;</td><td class="mdescRight">A small value so we can create objects with a valid SDS (even if unused).  <a href="#a2632275cf0fb9948861a6a5b83b6c129">More...</a><br /></td></tr>
<tr class="separator:a2632275cf0fb9948861a6a5b83b6c129"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a173b2ac429b2b3ddf3926ad031bd8471"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a173b2ac429b2b3ddf3926ad031bd8471">&#9670;&nbsp;</a></span>SDSBufferType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a173b2ac429b2b3ddf3926ad031bd8471">alexaClientSDK::avsCommon::utils::SDSBufferType</a> = typedef <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_in_process_s_d_s_traits.html#af7ff4eb1e4f1628fb39ba7534b2bdb32">avsCommon::utils::sds::InProcessSDSTraits::Buffer</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aafb242c1733224d397b310c47470a6c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafb242c1733224d397b310c47470a6c9">&#9670;&nbsp;</a></span>SDSType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#aafb242c1733224d397b310c47470a6c9">alexaClientSDK::avsCommon::utils::SDSType</a> = typedef <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds.html#a269866d267e8991328744c2e662931d2">avsCommon::utils::sds::InProcessSDS</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a1efc5540efa8a70173f6051e4afdbec9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1efc5540efa8a70173f6051e4afdbec9">&#9670;&nbsp;</a></span>constructTestMimeString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::avsCommon::utils::constructTestMimeString </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part.html">TestMimePart</a> &gt;&gt; &amp;&#160;</td>
          <td class="paramname"><em>mimeParts</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>boundaryString</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>addPrependedNewline</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">A utility function to generate a MIME string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mimeParts</td><td>A vector of <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_test_mime_part.html">TestMimePart</a> objects, which through polymorphism know how to generate their own substrings. </td></tr>
    <tr><td class="paramname">boundaryString</td><td>The boundary string to be used when generating the MIME string. </td></tr>
    <tr><td class="paramname">addPrependedNewline</td><td>true if a trailing newline (CRLF) sequence is required, false otherwise. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The generated MIME string. </dd></dl>

</div>
</div>
<a id="ab2d0786aac2b69ca0d61a85eeb9570f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2d0786aac2b69ca0d61a85eeb9570f2">&#9670;&nbsp;</a></span>createRandomAlphabetString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::avsCommon::utils::createRandomAlphabetString </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>stringSize</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Utility function to generate a random string of characters between 'a' - 'z'.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stringSize</td><td>The length of the string we will create. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The generated string. </dd></dl>
<p class="">Convert the data into a std::string.</p>
<p class="">Convert the data into a std::string. </p>

</div>
</div>
<a id="a835d75cc092964ce8ae121240596f469"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a835d75cc092964ce8ae121240596f469">&#9670;&nbsp;</a></span>generateRandomNumber()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int alexaClientSDK::avsCommon::utils::generateRandomNumber </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>max</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Utility function to generate a random number. This function does not require seeding before use.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">min</td><td>The minimum value in the desired distribution. </td></tr>
    <tr><td class="paramname">max</td><td>The maximum value in the desired distribution. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The generated number. </dd></dl>
<p class="">Identifier to tell if the random number generated has been initialized</p>
<p class="">Identifier to tell if the random number generated has been initialized </p>

</div>
</div>
<a id="ab052edabd453887602b3051c5641d8f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab052edabd453887602b3051c5641d8f9">&#9670;&nbsp;</a></span>littleEndianMachine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::littleEndianMachine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function used to check the machine endianness. </p>

</div>
</div>
<a id="afcab22c99d77dbc82469cf8a1eef46be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcab22c99d77dbc82469cf8a1eef46be">&#9670;&nbsp;</a></span>operator&lt;&lt;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; alexaClientSDK::avsCommon::utils::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1338278de3fb92400e7ac33373cf1f22">AudioFormat::Encoding</a> &amp;&#160;</td>
          <td class="paramname"><em>encoding</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Write an <code>Encoding</code> value to an <code>ostream</code> as a string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>The stream to write the value to. </td></tr>
    <tr><td class="paramname">encoding</td><td>The encoding value to write to the <code>ostream</code> as a string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The <code>ostream</code> that was passed in and written to. </dd></dl>

</div>
</div>
<a id="a241bf7b99d7428c635afc57025e8b8af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a241bf7b99d7428c635afc57025e8b8af">&#9670;&nbsp;</a></span>operator&lt;&lt;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; alexaClientSDK::avsCommon::utils::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21">AudioFormat::Endianness</a> &amp;&#160;</td>
          <td class="paramname"><em>endianness</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Write an <code>Endianness</code> value to an <code>ostream</code> as a string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>The stream to write the value to. </td></tr>
    <tr><td class="paramname">endianness</td><td>The endianness value to write to the <code>ostream</code> as a string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The <code>ostream</code> that was passed in and written to. </dd></dl>

</div>
</div>
<a id="a194d98252bc70b0623633d71e11e4e93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a194d98252bc70b0623633d71e11e4e93">&#9670;&nbsp;</a></span>TAG() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::avsCommon::utils::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;DeviceInfo&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="a5d7bec5e0daa15c356517b18a03fcf1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d7bec5e0daa15c356517b18a03fcf1b">&#9670;&nbsp;</a></span>TAG() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::avsCommon::utils::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;RequiresShutdown&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="ab408564cc8bebb86c518d60ba39b1d17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab408564cc8bebb86c518d60ba39b1d17">&#9670;&nbsp;</a></span>TAG() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::avsCommon::utils::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;TestableMessageObserver&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="a076d6a33aee9d158813cc2134d6564ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a076d6a33aee9d158813cc2134d6564ac">&#9670;&nbsp;</a></span>TEST() <span class="overload">[1/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_createEmptyOptional&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aff600a4f4235106b44425bb3cfae7cb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff600a4f4235106b44425bb3cfae7cb4">&#9670;&nbsp;</a></span>TEST() <span class="overload">[2/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_createOptionalWithValue&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a41f48c92fbc8f9931618ed559f83e0b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41f48c92fbc8f9931618ed559f83e0b4">&#9670;&nbsp;</a></span>TEST() <span class="overload">[3/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_getValueOfOptionalWithValue&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adeef1501a25a62ac5c218d35b4103ff5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adeef1501a25a62ac5c218d35b4103ff5">&#9670;&nbsp;</a></span>TEST() <span class="overload">[4/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_getValueOfEmptyOptional&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aecda8472c7d9296459aa1564ef8145e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecda8472c7d9296459aa1564ef8145e6">&#9670;&nbsp;</a></span>TEST() <span class="overload">[5/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_functionWithEmptyOptionalReturn&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="addb9e0d1777edfb33d2777ad9948ce3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addb9e0d1777edfb33d2777ad9948ce3e">&#9670;&nbsp;</a></span>TEST() <span class="overload">[6/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_functionWithNonEmptyOptionalReturn&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a842e09fbeb5eb3f8a89ff7867971cd5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a842e09fbeb5eb3f8a89ff7867971cd5f">&#9670;&nbsp;</a></span>TEST() <span class="overload">[7/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_copyOptionalWithValue&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1417a51b6f41a2cfa496465e6d25774f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1417a51b6f41a2cfa496465e6d25774f">&#9670;&nbsp;</a></span>TEST() <span class="overload">[8/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_copyEmptyOptional&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aabc5486245b2e40941f6bc520fe82143"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabc5486245b2e40941f6bc520fe82143">&#9670;&nbsp;</a></span>TEST() <span class="overload">[9/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setNewValueForEmptyOptional&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a08baf05ecf74cf88e3a48a3e06f28f7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08baf05ecf74cf88e3a48a3e06f28f7b">&#9670;&nbsp;</a></span>TEST() <span class="overload">[10/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_setNewValueForNonEmptyOptional&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a487743db78528596da04f13e9773f283"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a487743db78528596da04f13e9773f283">&#9670;&nbsp;</a></span>TEST() <span class="overload">[11/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_resetEmptyOptional&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a25a1124b450955da2e9829de34f34e92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25a1124b450955da2e9829de34f34e92">&#9670;&nbsp;</a></span>TEST() <span class="overload">[12/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_resetNonEmptyOptional&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6f049aa7606f9ff2df29b4f2fd300a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6f049aa7606f9ff2df29b4f2fd300a5">&#9670;&nbsp;</a></span>TEST() <span class="overload">[13/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_optionalObjectWithoutDefaultConstructor&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a39286e7e74a85f51680707d82eb127d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39286e7e74a85f51680707d82eb127d0">&#9670;&nbsp;</a></span>TEST() <span class="overload">[14/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_constructorCallsMatchDestructorCalls&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0d7f32c6e4cb5eb899cd0e85ea95c9ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d7f32c6e4cb5eb899cd0e85ea95c9ca">&#9670;&nbsp;</a></span>TEST() <span class="overload">[15/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_equalityOperator&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8eaf46613613d94bbbeab46f93dcda6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8eaf46613613d94bbbeab46f93dcda6a">&#9670;&nbsp;</a></span>TEST() <span class="overload">[16/16]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::TEST </td>
          <td>(</td>
          <td class="paramtype">OptionalTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_inequalityOperator&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a38b6e26702e1ad4a159ee3306a679184"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38b6e26702e1ad4a159ee3306a679184">&#9670;&nbsp;</a></span>CONFIG_KEY_CLIENT_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::CONFIG_KEY_CLIENT_ID = &quot;clientId&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of clientId value in <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_device_info.html">DeviceInfo</a>'s <code>ConfigurationNode</code>. </p>

</div>
</div>
<a id="ae4374facddb171aebf82bc9c9f8a5f47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4374facddb171aebf82bc9c9f8a5f47">&#9670;&nbsp;</a></span>CONFIG_KEY_DEVICE_INFO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::CONFIG_KEY_DEVICE_INFO = &quot;deviceInfo&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of <code>ConfigurationNode</code> for <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_device_info.html">DeviceInfo</a>. </p>

</div>
</div>
<a id="a57a9ba9fcac5cb214b0a181611ddc891"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57a9ba9fcac5cb214b0a181611ddc891">&#9670;&nbsp;</a></span>CONFIG_KEY_DSN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::CONFIG_KEY_DSN = &quot;deviceSerialNumber&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of deviceSerialNumber value in <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_device_info.html">DeviceInfo</a>'s <code>ConfigurationNode</code>. </p>

</div>
</div>
<a id="a68b6f23f3da27176a2f6118290b8be69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68b6f23f3da27176a2f6118290b8be69">&#9670;&nbsp;</a></span>CONFIG_KEY_PRODUCT_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::CONFIG_KEY_PRODUCT_ID = &quot;productId&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of productId value in <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_device_info.html">DeviceInfo</a>'s <code>ConfigurationNode</code>. </p>

</div>
</div>
<a id="a2632275cf0fb9948861a6a5b83b6c129"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2632275cf0fb9948861a6a5b83b6c129">&#9670;&nbsp;</a></span>DUMMY_SDS_BUFFER_SIZE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int alexaClientSDK::avsCommon::utils::DUMMY_SDS_BUFFER_SIZE = 100</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A small value so we can create objects with a valid SDS (even if unused). </p>

</div>
</div>
<a id="aec3180d48d8acd6451eedffe21ca9628"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec3180d48d8acd6451eedffe21ca9628">&#9670;&nbsp;</a></span>g_shutdownMonitor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_shutdown_monitor.html">ShutdownMonitor</a> alexaClientSDK::avsCommon::utils::g_shutdownMonitor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The global <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_shutdown_monitor.html" title="Class used to track whether RequiresShutdown objects have been shut down correctly. ">ShutdownMonitor</a></code> used to track all <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">RequiresShutdown</a></code> objects. </p>

</div>
</div>
<a id="a85e2f166578b5236e8123ed50a608024"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85e2f166578b5236e8123ed50a608024">&#9670;&nbsp;</a></span>METRICS_TAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::METRICS_TAG = &quot;:METRICS:&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ada0276da66fbca7e4c68ae28c5703ebc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada0276da66fbca7e4c68ae28c5703ebc">&#9670;&nbsp;</a></span>MIME_ATTACHMENT_PREFIX_STRING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::MIME_ATTACHMENT_PREFIX_STRING = &quot;Content-Type: application/octet-stream&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The MIME text expected before a binary data part. </p>

</div>
</div>
<a id="a188a51383404da118e697df39debbaf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a188a51383404da118e697df39debbaf8">&#9670;&nbsp;</a></span>MIME_BOUNDARY_DASHES</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::MIME_BOUNDARY_DASHES = &quot;--&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The double dashes which may occur before and after a boundary string. </p>

</div>
</div>
<a id="a569d79677aecc04cbf4d868d0f43ac8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a569d79677aecc04cbf4d868d0f43ac8d">&#9670;&nbsp;</a></span>MIME_CONTENT_ID_PREFIX_STRING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::MIME_CONTENT_ID_PREFIX_STRING = &quot;Content-ID: &quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The MIME prefix for a content id header. </p>

</div>
</div>
<a id="a6252212bdab52c2cdb42a124a7ec2d94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6252212bdab52c2cdb42a124a7ec2d94">&#9670;&nbsp;</a></span>MIME_JSON_PREFIX_STRING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::MIME_JSON_PREFIX_STRING = &quot;Content-Type: application/json; charset=UTF-8&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The MIME text expected before a JSON part. </p>

</div>
</div>
<a id="a83096946cb5d989d7f89edd72939b635"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83096946cb5d989d7f89edd72939b635">&#9670;&nbsp;</a></span>MIME_NEWLINE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::MIME_NEWLINE = &quot;\r\n&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The newline characters that MIME parsers expect. </p>

</div>
</div>
<a id="a85eb0bb24c3ded5f9f07259603835566"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85eb0bb24c3ded5f9f07259603835566">&#9670;&nbsp;</a></span>WAIT_FOR_DIRECTIVE_TIMEOUT_IN_SECONDS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::chrono::seconds alexaClientSDK::avsCommon::utils::WAIT_FOR_DIRECTIVE_TIMEOUT_IN_SECONDS = std::chrono::seconds(1)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Our default timeout when validating if a MIME part was received by another object. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
